package ru.yandex.webmaster3.storage.download.common;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Created by Oleg Bazdyrev on 19/02/2021.
 */
public class TurboAutoDeletedPagesMdsExportDescriptor extends MdsExportDescriptor {

    private String domain;

    @JsonCreator
    public TurboAutoDeletedPagesMdsExportDescriptor(@JsonProperty("domain") String domain) {
        super(DownloadFileType.TURBO_AUTO_DELETED_PAGES);
        this.domain = domain;
    }

    public String getDomain() {
        return domain;
    }
}
